% Funzione che definisce accelerazioni, dati magnetici, temperature, date e
% livello della batteria per i nodi di tipo Pendulum
function [TimePE,Def_PE,ErrPendulum] = defDatiPE(DatiPendulum,ErrPendulum,FileName)

fileID = fopen(FileName,'a');
fmt = '%s \r';
text = 'defDatiPE function started';
fprintf(fileID,fmt,text);

[r,c] = size(DatiPendulum);
Ncorr = 0;
% Elimino gli eventuali Not a Number
for a = 2:r
    for b = 1:c
        check = isnan(DatiPendulum(a,b));
        if check == 1
            DatiPendulum(a,b) = DatiPendulum(a-1,b);
            ErrPendulum(a,b-1) = 1;
            Ncorr = Ncorr+1;
        end
    end
end
text = [num2str(Ncorr) ' NaN of Pendulum corrected by defDatiPE function'];
fprintf(fileID,fmt,text);

TimePE = DatiPendulum(:,1); % data
Def_PE = DatiPendulum(:,2:end);

text = 'Data of Pendulum defined correctly, defDatiPE function closed';
fprintf(fileID,fmt,text);
fclose(fileID);

end
